uk.gov.hmrc.domain

# Nino

###
Related Docs: object Nino | package domain

#### case class Nino(nino: String) extends TaxIdentifier with SimpleName with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, SimpleName, TaxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Nino
2. Serializable
3. Serializable
4. Product
5. Equals
6. SimpleName
7. TaxIdentifier
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Nino(nino: String)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### def formatted: String

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

11. #### val name: String

    Definition Classes
      Nino → SimpleName

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### val nino: String

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      Nino → AnyRef → Any

18. #### def value: String

    Definition Classes
      Nino → TaxIdentifier

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### def withoutSuffix: String

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SimpleName

### Inherited from TaxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped